#include <iostream>
using namespace std;
/* run this program using the console pauser or add your own getch, system("pause") or input loop */
bool provera(double a, double b){
	if(a>b) return false;
	else return true;
}
double maksimum(double a[],int n){
	double max = a[0];
	for(int i=1; i<n;i++){
		if(a[i]>max) max=a[i];
	}
	return max;
}
int main(int argc, char** argv) {
	int n;
	cin>>n;
	double a[n];
	double p[n];
	for(int i = 0; i<n;i++){
		cin>>a[i]>>p[i];
		p[i] = p[i];
	}
	double naj[n];
	for(int i = 0; i <n; i++){
		naj[i] = 0;
	} 
	for(int i = 0; i<n;i++){
		for(int j = 0; j<n; j++){
			if(provera(p[i],p[j]))
			naj[i] = naj[i] + a[j];
		}
		naj[i] = naj[i]*p[i]/100;
	}
	cout<<fixed<<maksimum(naj,n);
	return 0;
}